linuxgurugamer

[1.9.x] RLA Reborn

Recommended Posts

1 hour ago, Cratzz said:

So im on 1.6.1, what version should i use? ;) Is the latest version backward compatible?

Thank you for a great mod :cool:

It should be backwards compatible no problem. I have a copy of RLA Reborn for which all i did was transfer from OPM 1.6.1 folder to the OPM 1.7.0 folder

Share this post


Link to post
Share on other sites

Small bug report: ReStockPlus_patch.cfg wants to disable the RLA_solid_small_long engine ("Boostertron III") when ReStockPlus is installed, but all it does is take it out of the "Engines" category in the VAB.  It still appears in the tech tree as an unlockable part, and I got a contract to test one, but the only way to find it in the VAB is with the advanced search filters (e.g. the 0.625m cross-section profile list).

The patch should probably add "TechHidden = True" and "entryCost = 0" as well, since that's how Squad's deprecated parts do it.

Share this post


Link to post
Share on other sites

New release, 0.15.1.10

  • Added "TechHidden = True" and "entryCost = 0" to RLA_solid_small_long in the ReStockPlus patch

Share this post


Link to post
Share on other sites

Anyone know if this is working with 18.x?  I understand there are issues with mods that use older texture compression formats.  If the textures need converting, bring up a GitHub issue, and I might take a look at doing the conversions on my computer.  

I could see if it will support BPTC, although that may break it for older (DirectX 9 only / OpenGL 3.x only) computers DirectX 10 should be able to convert the compression format simply slowing it for older computers but OpenGL can't, leaving Mac and Linux users with really old video cards out in the cold. (This surprisingly uncommon considering the Linux love of Vulkan and Mac love of Metal.)

 

Edited by Ruedii
Moar Clarity: Move split prepositional phrase to own sentence for clarity.

Share this post


Link to post
Share on other sites

It should work just fine in Windows under DirectX11. I have been playing using Unity forced Directx11 mod for years now without any issue concerning DDS texture. The 1.8 update was very specific on one type of DDS compression not working, which I believe is almost non existent in any KSP mod: DXT3 compression.

Most mod, as you may well be aware, use either DXT1 or DXT5 compression.

As for other OS, I won't comment since I do not know.

Edit: As a side note, DirectX11 was release with Windows 7 a decade ago. In my opinion, the vast majority of players will have a fully DX11 compliant GPU by now.

Edited by Galenmacil

Share this post


Link to post
Share on other sites

 

On 11/11/2019 at 5:00 PM, Galenmacil said:

It should work just fine in Windows under DirectX11. I have been playing using Unity forced Directx11 mod for years now without any issue concerning DDS texture. The 1.8 update was very specific on one type of DDS compression not working, which I believe is almost non existent in any KSP mod: DXT3 compression.

Most mod, as you may well be aware, use either DXT1 or DXT5 compression.

As for other OS, I won't comment since I do not know.

Edit: As a side note, DirectX11 was release with Windows 7 a decade ago. In my opinion, the vast majority of players will have a fully DX11 compliant GPU by now.

While DirectX 11 was released then, not all video cards were Direct3D 11 compliant.  Most were Direct3D Feature Level 10, which meant they did not require.

Same with OpenGL 4.0 which is nearly a decade old as well.

BPTC is a specific, newer, texture format that was added in Direct3D 11 and OpenGL 4.2 (at which point it became supported in OpenGL 3.1+ on supporting hardware).

I just read on Unity when researching it, many Macs don't support it in OpenGL.   This is more than likely an issue, than Windows users.

It seems support on this particular function is:
Linux: Best (Supports any card using the Galium Mesa driver, which is any card released in roughly the last 12 years)
Windows: Good (Any card released in the past 8 years or so.  Support varies on low end cards.)
Mac: None

I guess Apple screwed everyone on this.

Edited by Ruedii
Seems apple doesn't support it on Mac.

Share this post


Link to post
Share on other sites
13 hours ago, Ruedii said:

I guess Apple screwed everyone on this.

Apple doesn't support OpenGL versions past 4.1 (released in 2010; current is 4.6).  They don't support Vulkan either; they want applications to use their proprietary Metal API instead.  But Unity supports using Metal in Mac builds of a game (though I don't know whether KSP currently does).

Anyway, that's not a problem for RLA; it doesn't use any BPTC textures.  Neither does any other mod I've seen.

Share this post


Link to post
Share on other sites
On 11/19/2019 at 11:36 PM, Wyzard said:

Apple doesn't support OpenGL versions past 4.1 (released in 2010; current is 4.6).  They don't support Vulkan either; they want applications to use their proprietary Metal API instead.  But Unity supports using Metal in Mac builds of a game (though I don't know whether KSP currently does).

Anyway, that's not a problem for RLA; it doesn't use any BPTC textures.  Neither does any other mod I've seen.

I was saying forward thinking.  BPTC is higher quality.  However, since Mac doesn't support it, this could be an issue.

Vulkan is supported by MoltenVK on Mac and Unity's build pipeline for Metal is simply Vulkan piped to MoltenVK.

Share this post


Link to post
Share on other sites
4 hours ago, Ruedii said:

BPTC is higher quality.  However, since Mac doesn't support it, this could be an issue.

It does with Metal, just not with OpenGL.  (This Apple developer page has a section titled "Compressed BC Pixel Formats" that lists BC1 through BC7.)

Share this post


Link to post
Share on other sites
2 hours ago, Wyzard said:

It does with Metal, just not with OpenGL.  (This Apple developer page has a section titled "Compressed BC Pixel Formats" that lists BC1 through BC7.)

Yes, but KSP doesn't currently support Metal.  We have to wait for support before we can use it in mods.

Additionally, users of older MacOS versions will be stuck without BPTC compression.

However, it's worth noting that unlike DXT3, the OpenGL Mac version of Unity will simply decompress the texture on load.  This means only minor performance loss and slight texture memory usage increase for Mac users.   It's not like it will break.
https://docs.unity3d.com/Manual/class-TextureImporterOverride.html
 

Quote

Windows Direct3D 11: OpenGL 4, Linux

Note: BC7 Textures are uncompressed at run time to RGBA 32bits on the following platform configurations:
- macOS with OpenGL
- Platforms with Direct3D 10 Shader Model 4
Platforms with OpenGL 3 GPUs.



That is very good to know.

Edited by Ruedii
correction of typo, addition of quote.

Share this post


Link to post
Share on other sites

Are there any changes in this "Reborn" release that make break the supported status with Kerbalism, which supports "Recontinued"?

Share this post


Link to post
Share on other sites
5 hours ago, strudo76 said:

Are there any changes in this "Reborn" release that make break the supported status with Kerbalism, which supports "Recontinued"?

Quickly glanced over the mods contents, seems like it is mostly parts and doesn't look to me like there would be anything that would be a compatibility problem for Kerbalism. Maybe a missing support config for the fuel cell, but other than that it seems to be OK. Let me know if there are any issues.

Share this post


Link to post
Share on other sites
21 hours ago, strudo76 said:

Are there any changes in this "Reborn" release that make break the supported status with Kerbalism, which supports "Recontinued"?

There shouldn't be, the recontinued just fixed some small bugs.  Biggest change was the renaming of the directory

This is the full changelog of everything that got changed since Recontinued:

0.15.2
	Updated for KSP 1.8

0.15.1.10
	Added "TechHidden = True" and "entryCost = 0" to RLA_solid_small_long in
	the ReStockPlus  patch

0.15.1.9
	Changed category from "none" to "Coupling" in the small_decoupler_stack

0.15.1.8
	Added small patch for Restock, thanks @pietralbi
	Deleted old file

0.15.1.7
    Fixed typo in category for small decoupler, "none" needed to be in lower case
	Added indentations to a number of parts
    
0.15.1.6
    Updated the patch to a localization file (and added MH)
    Hid the small decoupler, very similiar to * ksp1.4 small decoupler (0.6m
    
0.15.1.4
	Version bump for 1.5
	
0.15.1.3
	Add spanish localization, thanks @fitiales

0.15.1.2
	Replaced some text with existing tags, thans @kerbas ad astra
	
0.15.1.1
	Fixed Agent (was missing title)

0.15.1
	Balance fix for Xenon tank and localization
	
0.15.0
	Adopted by LGG
	Renamed directory to RLA_Reborn
	Updated all files for new directory
	Added Changelog,tried to capture all previous versions

 

Share this post


Link to post
Share on other sites

42-incorrect-engine-effect.jpeg

These .625m aerospike engines have a misplaced visual effect in my game. Not sure if this is an RLA problem or a RealPlume problem. I suppose I should try running the game without RealPlume and see if the problem persists…

Share this post


Link to post
Share on other sites
On 6/10/2020 at 2:50 PM, MDPKH said:

These .625m aerospike engines have a misplaced visual effect in my game. Not sure if this is an RLA problem or a RealPlume problem. I suppose I should try running the game without RealPlume and see if the problem persists…

Yes, you should

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.